
<div class="container-fluid">
    <div class="col invite flex-col blue">
      <mb-logo [isLarge]="true" class="logo-color"></mb-logo>
      <h3 class="invite-heading">Welcome to</h3>
      <h6 class="invite-sub-heading">Mail Builder</h6>

      <span class="circle"></span>
    </div>
    <div class="col login flex-col">
      <h3 class="login-heading login-sing-in-headline">Create new password</h3>

      <div class="reset-password-container">
        <form [formGroup]="form" class="flex-col">

            <input class="mb-input" formControlName="email" />

            <mb-input formControlName="password"
                [class.invalid]="
                form.get('password')?.touched && form.get('password')?.hasError('required') ||
                form.get('password')?.touched && form.get('password')?.hasError('minlength')
                "
                [type]='inputTypePass' [placeholder]="passwordPlaceholder"></mb-input>

            <mb-input formControlName="password_confirmation" (keyup)="checkPass()"
                [class.invalid]="
                form.get('password_confirmation')?.touched && form.get('password_confirmation')?.hasError('required') ||
                form.get('password_confirmation')?.touched && form.get('password_confirmation')?.hasError('notSame')
                "
                [type]='inputTypePass' [placeholder]="password_confirmationPlaceholder"></mb-input>

                <mat-error *ngIf="form.get('password')?.touched && form.get('password')?.hasError('minlength') ">
                    The password must be at least 6 characters.
                  </mat-error>
                <mat-error *ngIf="form.get('password_confirmation')?.touched && form.get('password_confirmation')?.hasError('notSame')">
                    The password confirmation does not match
                  </mat-error>

            <div class="control-wrapper">
                <mb-action-button (submit)='submit()'  [value]="'Submit'"></mb-action-button>

            </div>
        </form>
    </div>
      <span class="square"></span>
    </div>
  </div>





